
Redmine - Feature #9613

Line numbers copied in repository file view

2011-11-20 08:34 - Ivan Cenov

Status: Closed Start date: 2011-11-20

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate   

Description

It is normally one to copy parts of the files contents when the files are displayed in the repository browser. Unfortunately, the line

numbers that are in the left are copied too.

My proposition is to add new link next to the "View" link, named "Raw view" or "View without line numbers" and this link to deliver

files without the line numbers. If syntax highlighting remain it would be the best.

Related issues:

Is duplicate of Redmine - Feature #3382: Ability to select only source code w... Closed 2009-05-18

History

#1 - 2011-11-20 10:04 - Alex Shulgin

Well, I would vote for using :line_numbers => :table HTML option for the highlighter (if it's the default, CodeRay), like my Pastebin plugin does: 

https://github.com/commandprompt/redmine_pastebin/blob/master/app/helpers/pastes_helper.rb#L73

It would be also helpful if this could be abstracted by the Redmine::SyntaxHighligthing module, to avoid the hardcoding.

#2 - 2011-11-20 10:52 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Duplicate

See #3382.

Powered by TCPDF (www.tcpdf.org)

2025-05-17 1/1

https://github.com/commandprompt/redmine_pastebin/blob/master/app/helpers/pastes_helper.rb#L73
https://www.redmine.org/issues/3382
http://www.tcpdf.org

